Skip to main content
POST
Create Approvals

Path Parameters

workspaceId
string
required
projectId
string
required

Body

application/json
title
string
Required string length: 1 - 200
approvalType
enum<string> | null
Available options:
design,
finish,
sample,
mockup
revisionLabel
string | null
Maximum string length: 200
message
string | null
Maximum string length: 4000
dueDate
string | null
Pattern: ^\d{4}-\d{2}-\d{2}$
steps
object[]
Required array length: 1 - 10 elements
slotIds
string[]
Required array length: 1 - 200 elements
Pattern: ^[1-9]\d{0,18}$
tableQuery
object

Response

201 - application/json

The response is of type object.